uses tools, SysUtils;

var
  i, j, k: longint;
  s: string;
  c: char;

begin
  randseed := 16;
  for i := 1 to 100 do
  begin
    s := inttostr(j);
    for k := 1 to length(s) div 2 do
    begin
      c := s[k];
      s[k] := s[length(s) + 1 - k];
      s[length(s) + 1 - k] := c;
    end;
    add(s);
    inc(j, i);
  end;
  shuffle;
  done;
end.